function $(id) {
  return document.getElementById(id);
}

var BtUtils = {
  getQueryParams: function(url) {
    var params = [];
    var chunks = url.split(/[?&]/);
    for(var i = 1; i < chunks.length; i++) {
      var values = decodeURIComponent(chunks[i]).split(/=/);
      params[values[0]] = values[1];
    }
    return params;
  },

  isFirefox2: function() {
    return Components.classes["@mozilla.org/passwordmanager;1"];
  }
}

var BtURL = {
  getNsiURL: function(url) {
    var nsiUrl = Components.classes["@mozilla.org/network/standard-url;1"]
               .createInstance(Components.interfaces.nsIURL);
    nsiUrl.spec = url;
    return nsiUrl;
  }
}

var BtBundle = {
  bundle: Components.classes["@mozilla.org/intl/stringbundle;1"]
          .getService(Components.interfaces.nsIStringBundleService)
          .createBundle("chrome://bookmarks/locale/bookmarks.properties"),

  getString: function(name, params) {
    try {
      return params ? BtBundle.bundle.formatStringFromName(name, params, params.length)
                    : BtBundle.bundle.GetStringFromName(name);
    }
    catch(e) {}
  }
}